aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/glibc/glibc_2.5.bb
diff options
context:
space:
mode:
authorChris Larson <chris_larson@mentor.com>2010-10-27 17:35:45 -0700
committerChris Larson <chris_larson@mentor.com>2010-11-02 18:39:03 -0700
commitc575ee87388a5bb679293b54a00bb784efbfab92 (patch)
tree65397221732f56b6f81ebe973f9a7ae7ba2b4212 /recipes/glibc/glibc_2.5.bb
parenta6885693d3685f595e307c79e9925893fb9f8a0d (diff)
downloadopenembedded-kergoth/autotools.tar.gz
openembedded-kergoth/autotools.tar.bz2
openembedded-kergoth/autotools.zip
gnu-configize fixupskergoth/autotools
Signed-off-by: Chris Larson <chris_larson@mentor.com>
Diffstat (limited to 'recipes/glibc/glibc_2.5.bb')
-rw-r--r--recipes/glibc/glibc_2.5.bb7
1 files changed, 3 insertions, 4 deletions
diff --git a/recipes/glibc/glibc_2.5.bb b/recipes/glibc/glibc_2.5.bb
index cb3b5474fe..3d15ba9bc5 100644
--- a/recipes/glibc/glibc_2.5.bb
+++ b/recipes/glibc/glibc_2.5.bb
@@ -132,12 +132,11 @@ do_configure () {
# calls for now
# don't pass CPPFLAGS into configure, since it upsets the kernel-headers
# version check and doesn't really help with anything
- if [ -z "`which rpcgen`" ]; then
- echo "rpcgen not found. Install glibc-devel."
+ if ! which rpcgen >/dev/null; then
+ echo >&2 "rpcgen not found. Install glibc-devel."
exit 1
fi
- (cd ${S} && gnu-configize) || die "failure in running gnu-configize"
- CPPFLAGS="" oe_runconf
+ CPPFLAGS="" autotools_base_do_configure
}
rpcsvc = "bootparam_prot.x nlm_prot.x rstat.x \